mscorlib 4.0.0.0 System.ArgumentException System.Runtime.InteropServices.ComVisible(true)

is thrown whenever the construction of an invalid culture is eventually attempted within a method.

uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

The exception thrown when a method is invoked which attempts to construct a culture that is not available on the machine.

- Constructor
  4.0.0.0

  uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

  Initializes a new instance of the class with its message string set to a system-supplied message.

- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

  Initializes a new instance of the class with the specified error message.

  The error message to display with this exception.
- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream.

  Initializes a new instance of the class using the specified serialization data and context.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message to display with this exception.
  The exception that is the cause of the current exception. If the parameter is not a null reference, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  This constructor initializes the property of the new instance using . The content of is intended to be understood by humans.

  uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

  Initializes a new instance of the class with a specified error message and the name of the parameter that is the cause this exception.

  The name of the parameter that is the cause of the current exception.
  The error message to display with this exception.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message, the invalid Culture ID, and a reference to the inner exception that is the cause of this exception.

  The error message to display with this exception.
  The Culture ID that cannot be found.
  The exception that is the cause of the current exception. If the parameter is not a null reference, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  This constructor initializes the property of the new instance using . The content of is intended to be understood by humans.

  uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

  Initializes a new instance of the class with a specified error message, the invalid Culture ID, and the name of the parameter that is the cause this exception.

  The name of the parameter that is the cause the current exception.
  The Culture ID that cannot be found.
  The error message to display with this exception.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message, the invalid Culture Name, and a reference to the inner exception that is the cause of this exception.

  The error message to display with this exception.
  The Culture Name that cannot be found.
  The exception that is the cause of the current exception. If the parameter is not a null reference, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance using the value of the parameter. The content of the parameter is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  This constructor initializes the property of the new instance using . The content of is intended to be understood by humans.

  uses the HRESULT COR_E_ARGUMENT, which has the value 0x80070057.

  Initializes a new instance of the class with a specified error message, the invalid Culture Name, and the name of the parameter that is the cause this exception.

  The name of the parameter that is the cause the current exception.
  The Culture Name that cannot be found.
  The error message to display with this exception.
- Method
  4.0.0.0
  System.Void `` ``

  sets a with all the exception object data targeted for serialization. During deserialization, the exception object is reconstituted from the transmitted over the stream.

  For more information, see .

  Sets the object with the parameter name and additional exception information.

  The object that holds the serialized object data. The contextual information about the source or destination.
- Property
  4.0.0.0
  System.Nullable<System.Int32> To be added. To be added.

  Gets the Culture ID that cannot be found.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the Culture Name that cannot be found.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the error message that explains the reason for the exception.